Bug 247430 - Python genshi module fails to import
Python genshi module fails to import
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-genshi (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 05:55 EDT by Roderick Johnstone
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.4.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 11:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roderick Johnstone 2007-07-09 05:55:47 EDT
Description of problem:
Python genshi module fails to import

Version-Release number of selected component (if applicable):
python-genshi-0.4.2-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1.Run python
2.Import genshi
3.
  
Actual results:
fedora7> python
Python 2.5 (r25:51908, Apr 10 2007, 10:27:40)
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import genshi
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/genshi/__init__.py", line 24, in <module>
    __version__ = __import__('pkg_resources').get_distribution('Genshi').version
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 270, in
get_distribution
    if isinstance(dist,Requirement): dist = get_provider(dist)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 156, in
get_provider
    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: Genshi


Expected results:
Successful import of genshi.

Additional info:
Comment 1 Fedora Update System 2007-07-09 11:47:17 EDT
python-genshi-0.4.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Roderick Johnstone 2007-07-10 04:20:07 EDT
genshi now imports fine from that rpm. Thanks.
Comment 3 Fedora Update System 2007-07-11 11:21:25 EDT
python-genshi-0.4.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.